Bug 1823709 - `oc explain network-attachment-definitions` returns empty description
Summary: `oc explain network-attachment-definitions` returns empty description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Tomofumi Hayashi
QA Contact: huirwang
URL:
Whiteboard:
Depends On: 1861412
Blocks: 1823711
TreeView+ depends on / blocked
 
Reported: 2020-04-14 10:27 UTC by huirwang
Modified: 2020-09-22 06:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1819571
: 1823711 (view as bug list)
Environment:
Last Closed: 2020-09-22 06:58:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 735 None closed Bug 1823709: [backport 4.4] NetworkAttachmentDefinitions should have output for "oc explain" 2020-09-22 07:43:01 UTC
Red Hat Product Errata RHBA-2020:3715 None None None 2020-09-22 06:59:00 UTC

Comment 2 Douglas Smith 2020-04-14 20:13:37 UTC
master PR @ https://github.com/openshift/cluster-network-operator/pull/592

Comment 3 Alexander Constantinescu 2020-05-07 15:02:19 UTC
PR has been merged, moving to ON-QE

Comment 4 huirwang 2020-05-08 08:01:10 UTC
Verified failed on both 4.4 and 4.5



oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-05-08-040144   True        False         40m     Cluster version is 4.4.0-0.nightly-2020-05-08-040144



 oc explain network-attachment-definitions
KIND:     NetworkAttachmentDefinition
VERSION:  k8s.cni.cncf.io/v1

DESCRIPTION:
     <empty>


oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-05-07-144853   True        False         4h57m   Cluster version is 4.5.0-0.nightly-2020-05-07-144853

oc explain network-attachment-definitions
KIND:     NetworkAttachmentDefinition
VERSION:  k8s.cni.cncf.io/v1

DESCRIPTION:
     <empty>

Comment 5 Douglas Smith 2020-05-20 18:15:16 UTC
I now believe that this may not actually be possible for NetworkAttachmentDefinitions.

I mistakenly assumed that `oc explain` would use `description` fields from CRDs -- however, that doesn't seem to be the case. 

It appears that oc explain reads from openshift/api (at least from finding references to other stuff that appears in oc explain in the api, for example `oc explain networks` I can see the text from that output in this PR: https://github.com/openshift/api/pull/381/files ) -- and the NetworkAttachmentDefinition is not in the api, but, is a CRD.

You can get the description fields by doing a `oc describe crd network-attachment-definitions.k8s.cni.cncf.io`

Compare/contrast: networks.config.openshift.io -- in the openshift API, network-attachment-definitions.k8s.cni.cncf.io -- not in the openshift API.

Potentially `oc explain` could be enhanced to describe CRDs, however that's outside of the scope of this request, I believe.

...I think this should actually be closed in this case. Any other input before I close?

Comment 8 Douglas Smith 2020-07-31 13:29:06 UTC
Tomo has updates ready for downstream 4.4 in https://github.com/openshift/cluster-network-operator/pull/735

Comment 9 Juan Luis de Sousa-Valadas 2020-08-24 10:57:59 UTC
Removing the dependency on the 4.6 bug because the bot complains, it's dependent only on the 4.5 bug (BZ#1861412)

Comment 14 errata-xmlrpc 2020-09-22 06:58:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.23 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3715


Note You need to log in before you can comment on or make changes to this bug.